Get Boosted Posts
curl --request POST \
--url https://api.boosterberg.com-beta.com/v1/boosted-posts/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": "1",
"source_id": "987654321",
"boosted_page_id": 123
}
'import requests
url = "https://api.boosterberg.com-beta.com/v1/boosted-posts/list"
payload = {
"page": "1",
"source_id": "987654321",
"boosted_page_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({page: '1', source_id: '987654321', boosted_page_id: 123})
};
fetch('https://api.boosterberg.com-beta.com/v1/boosted-posts/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"active": "1",
"name": "To celebrate Amoeba Hollywood...",
"link": "https://facebook.com/73258871892_10159648419676893",
"image": "https://scontent-vie1-1.xx.fbcdn.net/v/t39.30808-6/p640x640/262974497_5047644205265761_7900661668072431020_n.jpg?_nc_cat=103&ccb=1-5&_nc_sid=730e14&_nc_ohc=esLTFZjd7LMAX_WqnBK&_nc_ht=scontent-vie1-1.xx&oh=3a8df1fe425e2a99972e1ebf9206c1d8&oe=61AFF587",
"created": 1638779416,
"stopped": 1638779416
}
]Posts
List Posts
POST
/
boosted-posts
/
list
Get Boosted Posts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Returns array of Boosted Posts Objects
Example:
"1"
Example:
"To celebrate Amoeba Hollywood..."
Example:
"https://facebook.com/73258871892_10159648419676893"
Example:
"https://scontent-vie1-1.xx.fbcdn.net/v/t39.30808-6/p640x640/262974497_5047644205265761_7900661668072431020_n.jpg?_nc_cat=103&ccb=1-5&_nc_sid=730e14&_nc_ohc=esLTFZjd7LMAX_WqnBK&_nc_ht=scontent-vie1-1.xx&oh=3a8df1fe425e2a99972e1ebf9206c1d8&oe=61AFF587"
Example:
1638779416
Example:
1638779416
⌘I